Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Typedefs | Functions
cls_multi_sshortchar.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Typedefs
typedef signed short(* | test_type) (signed char, signed short, signed char, signed short)

## Functions
signed short | test_func_fn (signed char a1, signed short a2, signed char a3, signed short a4)
int | main (void)

## Typedef Documentation

## ◆ test_type

typedef signed short(* test_type) (signed char, signed short, signed char, signed short)

Definition at line 38 of file cls_multi_sshortchar.c.

## Function Documentation

## ◆ main()

int main | ( | void |  | ) |

Definition at line 41 of file cls_multi_sshortchar.c.

References CHECK, ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), ffi_type_schar, NULL, printf(), and test_func_fn().

## ◆ test_func_fn()

signed short test_func_fn | ( | signed char | a1,
|  | signed short | a2,
|  | signed char | a3,
|  | signed short | a4
| ) |  |

Definition at line 10 of file cls_multi_sshortchar.c.

Referenced by main().